Robot Simulator of the Robotics Group for Self-Organization of Control: OneAxisServoCentered Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# OneAxisServoCentered Class Reference

general servo motor to achieve position control with zero position centered More...

`#include <oneaxisservo.h>`

Inherits OneAxisServo.

Inheritance diagram for OneAxisServoCentered:

[legend]
Collaboration diagram for OneAxisServoCentered:

[legend]
List of all members.

## Public Member Functions
| OneAxisServoCentered (OneAxisJoint *joint, double _min, double _max, double power, double damp=0.2, double integration=2, double maxVel=10.0, double jointLimit=1.3)
| min and max values are understood as travel bounds.
virtual | ~OneAxisServoCentered ()
virtual void | set (double pos)
| sets the set point of the servo.
virtual double | get ()
| returns the position of the slider in ranges [-1, 1] (scaled by min, max, centered)

## Detailed Description

general servo motor to achieve position control with zero position centered

## Constructor & Destructor Documentation

OneAxisServoCentered | ( | OneAxisJoint * | joint,
|  | double | _min,
|  | double | _max,
|  | double | power,
|  | double | damp = `0.2`,
|  | double | integration = `2`,
|  | double | maxVel = `10.0`,
|  | double | jointLimit = `1.3` |
| ) |  |  | `[inline]`

min and max values are understood as travel bounds.

The zero position is max-min/2

virtual ~OneAxisServoCentered | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual double get | ( |  | ) | `[inline, virtual]`

returns the position of the slider in ranges [-1, 1] (scaled by min, max, centered)

Reimplemented from OneAxisServo.

virtual void set | ( | double | pos | ) | `[inline, virtual]`

sets the set point of the servo.

Position must be between -1 and 1. It is scaled to fit into min, max, however 0 is just in the center of min and max

Reimplemented from OneAxisServo.

The documentation for this class was generated from the following file:

- oneaxisservo.h